"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getProcessedError = getProcessedError;
var _index = require("../../core/index.js");
var _constants = require("../constants.js");
function getProcessedError({
  methodName,
  errorCode,
  messagesMapping = _constants.DiscoveryErrorMessageMapping,
  statusMapping = _constants.DiscoveryErrorStatusMapping
}) {
  const result = !isNaN(Number(errorCode)) ? errorCode : _constants.DiscoveryErrorResult.ERR_FAILURE;
  const message = messagesMapping[result];
  const status = statusMapping[result];
  return new _index.PrinterDiscoveryError({
    status: status,
    message: message,
    methodName
  });
}
//# sourceMappingURL=errors.js.map