"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.parsePrinterStatus = parsePrinterStatus;
var _index = require("../../constants/index.js");
function parsePrinterStatus(response) {
  return Object.keys(response).reduce((acc, propName) => {
    const statusCode = response[propName];
    const message = _index.GetPrinterStatusMessageMapping[propName][statusCode];
    const status = _index.PrinterStatusMapping[propName][statusCode];
    acc[propName] = {
      status,
      message,
      statusCode: Number(statusCode)
    };
    return acc;
  }, {});
}
//# sourceMappingURL=parsePrinterStatus.js.map