"use strict";

import { PrinterDiscoveryError } from "../../core/index.js";
import { DiscoveryErrorMessageMapping, DiscoveryErrorStatusMapping, DiscoveryErrorResult } from "../constants.js";
export function getProcessedError({
  methodName,
  errorCode,
  messagesMapping = DiscoveryErrorMessageMapping,
  statusMapping = DiscoveryErrorStatusMapping
}) {
  const result = !isNaN(Number(errorCode)) ? errorCode : DiscoveryErrorResult.ERR_FAILURE;
  const message = messagesMapping[result];
  const status = statusMapping[result];
  return new PrinterDiscoveryError({
    status: status,
    message: message,
    methodName
  });
}
//# sourceMappingURL=errors.js.map