"use strict";

import { spaceBetween, getFontACharsPerLine } from "../utils/index.js";
import { PrinterConstants, DEFAULT_PAPER_WIDTH } from "../constants/index.js";
export async function addTextLine(printer, params, customCharsPerLine) {
  const printerCharsPerLinePerWidth = getFontACharsPerLine(printer.deviceName);
  const {
    value: paperWidth
  } = await printer.getPrinterSetting(PrinterConstants.PRINTER_SETTING_PAPERWIDTH);
  const charsPerLine = customCharsPerLine ? customCharsPerLine : printerCharsPerLinePerWidth[paperWidth || DEFAULT_PAPER_WIDTH];
  const text = spaceBetween(Math.ceil(charsPerLine / printer.currentFontWidth), params);
  await printer.addText(text);
}
//# sourceMappingURL=addTextLine.js.map