"use strict";

import { PrinterError } from "../../core/index.js";
import { PrinterErrorResult, PrinterErrorStatusMapping } from "../constants/index.js";
export function throwProcessedError({
  methodName,
  errorCode,
  messagesMapping,
  statusMapping = PrinterErrorStatusMapping
}) {
  const result = !isNaN(Number(errorCode)) ? errorCode : PrinterErrorResult.ERR_FAILURE;
  const message = messagesMapping[result];
  const status = statusMapping[result];
  throw new PrinterError({
    status: status,
    message: message,
    methodName
  });
}
export function processComplextError(message) {
  try {
    const {
      type,
      data
    } = JSON.parse(message);
    return {
      errorType: type,
      data: String(data)
    };
  } catch (error) {
    return {
      errorType: 'result',
      data: message
    };
  }
}
//# sourceMappingURL=errors.js.map