"use strict";

import { PrinterGetSettingsType, GetPrinterSettingsPaperWidthValuesMapping, GetPrinterSettingsPrintDencityValuesMapping, GetPrinterSettingsPrintSpeendValuesMapping } from "../../constants/index.js";
export function parsePrinterSettings(response) {
  let valueMapping = GetPrinterSettingsPaperWidthValuesMapping;
  if (response.type === PrinterGetSettingsType.PRINTER_SETTING_PRINTDENSITY) {
    valueMapping = GetPrinterSettingsPrintDencityValuesMapping;
  } else if (response.type === PrinterGetSettingsType.PRINTER_SETTING_PRINTSPEED) {
    valueMapping = GetPrinterSettingsPrintSpeendValuesMapping;
  }
  return {
    typeCode: response.type,
    type: PrinterGetSettingsType[response.type],
    value: valueMapping[response.value]
  };
}
//# sourceMappingURL=parsePrinterSettings.js.map