"use strict";

import { GetPrinterStatusMessageMapping, PrinterStatusMapping } from "../../constants/index.js";
export function parsePrinterStatus(response) {
  return Object.keys(response).reduce((acc, propName) => {
    const statusCode = response[propName];
    const message = GetPrinterStatusMessageMapping[propName][statusCode];
    const status = PrinterStatusMapping[propName][statusCode];
    acc[propName] = {
      status,
      message,
      statusCode: Number(statusCode)
    };
    return acc;
  }, {});
}
//# sourceMappingURL=parsePrinterStatus.js.map